Dallas Semiconductor 1-Wire API 1.00 Alpha: Class Switch

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.dalsemi.onewire.application.tag
Class Switch

    java.lang.Object
      |
      +--com.dalsemi.onewire.application.tag.TaggedDevice
            |
            +--com.dalsemi.onewire.application.tag.Switch

All Implemented Interfaces:
  TaggedActuator

public class Switch
extends TaggedDevice
implements TaggedActuator

This class provides a default object for the Switch type of a tagged 1-Wire device.

Fields inherited from class com.dalsemi.onewire.application.tag.TaggedDevice
`branchVector, channel, clusterName, DeviceContainer, DeviceType, init, label, max, min, state`

Constructor Summary
`Switch()` Creates an object for the device.
`Switch(DSPortAdapter adapter, String netAddress)` Creates an object for the device with the supplied address connected to the supplied port adapter.

Method Summary
`Vector` | `getSelections()` Get the possible selection states of this actuator
`void` | `initActuator()` Initializes the actuator
`void` | `setSelection(String selection)` Set the selection of this actuator

Methods inherited from class com.dalsemi.onewire.application.tag.TaggedDevice
`getBranches, getChannel, getChannelAsString, getClusterName, getDeviceContainer, getDeviceType, getInit, getLabel, getMax, getMin, getOWPath, setBranches, setChannel, setChannelFromString, setClusterName, setDeviceContainer, setDeviceType, setInit, setLabel, setOWPath, setOWPath`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Switch

    public Switch()

  Creates an object for the device.

### Switch

    public Switch(DSPortAdapter adapter,
                  String netAddress)

  Creates an object for the device with the supplied address connected to the supplied port adapter.
  Parameters:
    `adapter` - The adapter serving the actuator.
    `netAddress` - The 1-Wire network address of the actuator.

Method Detail

### getSelections

    public Vector getSelections()

  Get the possible selection states of this actuator
  Specified by:
    `getSelections` in interface `TaggedActuator`
  Returns:
    Vector of Strings representing selection states.

### setSelection

    public void setSelection(String selection)
                      throws OneWireException

  Set the selection of this actuator
  Specified by:
    `setSelection` in interface `TaggedActuator`
  Parameters:
    `The` - selection string.
  Throws:
    `OneWireException` -

### initActuator

    public void initActuator()
                      throws OneWireException

  Initializes the actuator
  Specified by:
    `initActuator` in interface `TaggedActuator`
  Parameters:
    `Init` - The initialization string.
  Throws:
    `OneWireException` -

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD